/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workinfolist.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workinfolist.dao.WorkInfoListDao;
import com.jeeplus.modules.workinfolist.entity.WorkInfoList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 补充资料清单Service
 * @author 马鹏波
 * @version 2018-06-07
 */
@Service
@Transactional(readOnly = true)
public class WorkInfoListService extends CrudService<WorkInfoListDao, WorkInfoList> {


	@Autowired
	private WorkInfoListDao workInfoListDao;
	public WorkInfoList get(String id) {
		return super.get(id);
	}
	
	public List<WorkInfoList> findList(WorkInfoList workInfoList) {
		return super.findList(workInfoList);
	}
	
	public Page<WorkInfoList> findPage(Page<WorkInfoList> page, WorkInfoList workInfoList) {
		return super.findPage(page, workInfoList);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkInfoList workInfoList) {
		super.save(workInfoList);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkInfoList workInfoList) {
		super.delete(workInfoList);
	}

	public WorkInfoList findListByProId(WorkInfoList workInfoList){
		return workInfoListDao.findListByProId(workInfoList);
	}
	
	
}